aboutsummaryrefslogtreecommitdiff
path: root/subprojects/freeamo/src/unmaintained/verify-license-copy~
diff options
context:
space:
mode:
authordavid <public@beloved.name>2018-07-17 15:52:52 +0200
committerdavid <public@beloved.name>2018-07-17 15:52:52 +0200
commit1ae516a7bab1d5d9f02ab00c4ac13c219f43c1a1 (patch)
tree1733cb2fb3b2db132b4fc4fc433fc38a68062c12 /subprojects/freeamo/src/unmaintained/verify-license-copy~
parent3aa358cf718f8fc15952757cd04489b26770ac74 (diff)
Renamed the AMO/FSD project to FreeAMO, and rewrote its architecture.
Diffstat (limited to 'subprojects/freeamo/src/unmaintained/verify-license-copy~')
-rw-r--r--subprojects/freeamo/src/unmaintained/verify-license-copy~37
1 files changed, 37 insertions, 0 deletions
diff --git a/subprojects/freeamo/src/unmaintained/verify-license-copy~ b/subprojects/freeamo/src/unmaintained/verify-license-copy~
new file mode 100644
index 0000000..a77340b
--- /dev/null
+++ b/subprojects/freeamo/src/unmaintained/verify-license-copy~
@@ -0,0 +1,37 @@
+#!/usr/bin/env bash
+
+cd build || exit
+rm -fr VERIFY-LICENSE-COPY.txt
+cd free_webextensions || exit
+
+
+
+# Begin template
+unset file
+while IFS= read -r table; do
+
+ verify_variables "$1"
+
+ if [ "$approved_program" = true ]; then
+ # End template
+
+ id=$(echo $table | awk '{print $2}');
+ file=$(echo $table | awk '{print $3}');
+ slug=$(echo $table | awk '{print $4}');
+
+ echo "--------------------------
+$name ($id): $license";
+ unzip -l "addon-$id-latest.xpi" | awk '{ print $4 }' | grep "COPYING"
+ unzip -l "addon-$id-latest.xpi" | awk '{ print $4 }' | grep "COPYING.txt"
+ unzip -l "addon-$id-latest.xpi" | awk '{ print $4 }' | grep "COPYING.md"
+ unzip -l "addon-$id-latest.xpi" | awk '{ print $4 }' | grep "LICENSE"
+ unzip -l "addon-$id-latest.xpi" | awk '{ print $4 }' | grep "LICENSE.txt"
+ unzip -l "addon-$id-latest.xpi" | awk '{ print $4 }' | grep "LICENSE.md"
+
+ # Begin template
+ fi
+
+ ((line++))
+
+done < $run_path/build/MERGED-ALL-freedom_status.txt
+# End template